Loading...
Searching...
No Matches
apr_escape.h File Reference

APR-UTIL Escaping. More...

`#include "apr.h"`
`#include "apr_general.h"`
Include dependency graph for apr_escape.h:

Go to the source code of this file.

## Macros

#define | APR_ESCAPE_STRING (-1)
#define | APR_ESCAPE_LDAP_DN (0x01)
#define | APR_ESCAPE_LDAP_FILTER (0x02)
#define | APR_ESCAPE_LDAP_ALL (0x03)

## Functions

apr_status_t | apr_escape_shell (char *escaped, const char *str, apr_ssize_t slen, apr_size_t *len)
const char * | apr_pescape_shell (apr_pool_t *p, const char *str)
apr_status_t | apr_unescape_url (char *escaped, const char *url, apr_ssize_t slen, const char *forbid, const char *reserved, int plus, apr_size_t *len)
const char * | apr_punescape_url (apr_pool_t *p, const char *url, const char *forbid, const char *reserved, int plus)
apr_status_t | apr_escape_path_segment (char *escaped, const char *str, apr_ssize_t slen, apr_size_t *len)
const char * | apr_pescape_path_segment (apr_pool_t *p, const char *str)
apr_status_t | apr_escape_path (char *escaped, const char *path, apr_ssize_t slen, int partial, apr_size_t *len)
const char * | apr_pescape_path (apr_pool_t *p, const char *str, int partial)
apr_status_t | apr_escape_urlencoded (char *escaped, const char *str, apr_ssize_t slen, apr_size_t *len)
const char * | apr_pescape_urlencoded (apr_pool_t *p, const char *str)
apr_status_t | apr_escape_entity (char *escaped, const char *str, apr_ssize_t slen, int toasc, apr_size_t *len)
const char * | apr_pescape_entity (apr_pool_t *p, const char *str, int toasc)
apr_status_t | apr_unescape_entity (char *unescaped, const char *str, apr_ssize_t slen, apr_size_t *len)
const char * | apr_punescape_entity (apr_pool_t *p, const char *str)
apr_status_t | apr_escape_echo (char *escaped, const char *str, apr_ssize_t slen, int quote, apr_size_t *len)
const char * | apr_pescape_echo (apr_pool_t *p, const char *str, int quote)
apr_status_t | apr_escape_hex (char *dest, const void *src, apr_size_t srclen, int colon, apr_size_t *len)
const char * | apr_pescape_hex (apr_pool_t *p, const void *src, apr_size_t slen, int colon)
apr_status_t | apr_unescape_hex (void *dest, const char *str, apr_ssize_t slen, int colon, apr_size_t *len)
const void * | apr_punescape_hex (apr_pool_t *p, const char *str, int colon, apr_size_t *len)
apr_status_t | apr_escape_ldap (char *dest, const void *src, apr_ssize_t srclen, int flags, apr_size_t *len)
const char * | apr_pescape_ldap (apr_pool_t *p, const void *src, apr_ssize_t slen, int flags)

## Detailed Description

APR-UTIL Escaping.